%define anolis_release 1
%bcond_without check

Name:           perl-Perl4-CoreLibs
Version:        0.005
Release:        %{anolis_release}%{?dist}
Summary:        Libraries historically supplied with Perl 4
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Perl4-CoreLibs
Source0:        https://cpan.metacpan.org/authors/id/Z/ZE/ZEFRAM/Perl4-CoreLibs-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  coreutils hostname sed perl-generators perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6 perl(Module::Build) >= 0.26 perl(strict)
BuildRequires:  perl(warnings) perl(IPC::Open2) perl(IPC::Open3) 
BuildRequires:  perl(Sys::Syslog) => 0.19 perl(Text::ParseWords) >= 3.25
BuildRequires:  perl(Time::Local)
%if %{with check}
BuildRequires:  perl(Config) perl(IO::Handle) perl(newgetopt.pl) perl(Test::More)
%endif

Requires:       hostname perl(File::Find) perl(IPC::Open2) perl(IPC::Open3)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Socket) perl(Sys::Syslog) => 0.19 perl(Text::ParseWords) >= 3.25
Requires:       perl(Time::Local) perl(warnings::register)

Provides:       perl(abbrev.pl) = %{version} perl(assert.pl) = %{version}
Provides:       perl(bigfloat.pl) = %{version} perl(bigint.pl) = %{version}
Provides:       perl(bigrat.pl) = %{version} perl(cacheout.pl) = %{version}
Provides:       perl(chat2.pl) = %{version} perl(complete.pl) = %{version}
Provides:       perl(ctime.pl) = %{version} perl(dotsh.pl) = %{version}
Provides:       perl(exceptions.pl) = %{version} perl(fastcwd.pl) = %{version}
Provides:       perl(finddepth.pl) = %{version} perl(find.pl) = %{version}
Provides:       perl(flush.pl) = %{version} perl(ftp.pl) = %{version}
Provides:       perl(getcwd.pl) = %{version} perl(getopt.pl) = %{version}
Provides:       perl(getopts.pl) = %{version} perl(hostname.pl) = %{version}
Provides:       perl(importenv.pl) = %{version} perl(look.pl) = %{version}
Provides:       perl(open2.pl) = %{version} perl(open3.pl) = %{version}
Provides:       perl(pwd.pl) = %{version} perl(shellwords.pl) = %{version}
Provides:       perl(stat.pl) = %{version} perl(syslog.pl) = %{version}
Provides:       perl(tainted.pl) = %{version} perl(termcap.pl) = %{version}
Provides:       perl(timelocal.pl) = %{version} perl(validate.pl) = %{version}

%description
This is a collection of .pl files that have historically been bundled with the
Perl core and were removed from perl 5.16.  These files should not be used by
new code.  Functionally, most have been directly superseded by modules in the
Perl 5 style. This collection exists to support old Perl programs that
predates satisfactory replacements.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n Perl4-CoreLibs-%{version} -p1
rm lib/newgetopt.pl
sed -i -e '/^lib\/newgetopt\.pl/d' MANIFEST

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes README

%changelog
* Thu May 11 2023 happy_orange <songnannan@linux.alibaba.com> - 0.005-1
- init package
